Security Issue - out of date Java version

book

Article ID: 206234

calendar_today

Updated On:

Products

CA Infrastructure Management CA Performance Management - Usage and Administration DX NetOps

Issue/Introduction

 Our Security Team has issued an alert for servers running an out-of-date Java version, due to security concerns.

 On the list of affected servers, are ...

- Both of our Data Collectors

- Our Data Aggregator

- One node of our three node Data Repository cluster.

 

- - Is Java necessary for these servers/ applications ?

- - Can Java be removed? 

 

 

Cause

There are java installations, outside of the NetOps installation in /opt/CA/jre/bin

These java instances may be older than the java installation used by NetOps and Performance Management

Environment

Release : 3.7, 20.2

Component : IM Reporting / Admin / Configuration

Resolution

You can update or remove java instances that are outside of the NetOps install directory structure, granted that they are not used by CAMM or VNA; which use java instances that are outside of that directory structure

Additional Information

CA Mediation Manager and Virtual Network Assurance use java instances that fall outside the NetOps or Performance Management directory structure